cutlass::Copy< Fragment_ > Struct Template Reference

`#include <convert.h>`

## Public Types

typedef Fragment_ | InputFragment
| The input fragment. More...
typedef Fragment_ | OutputFragment
| The output fragment. More...

## Public Member Functions

CUTLASS_DEVICE | Copy ()
| Ctor. More...
CUTLASS_DEVICE void | transform (Fragment_ const &src, Fragment_ &dst)
| Transform a fragment. More...
template<typename InputFragment_ >
CUTLASS_DEVICE void | transform (InputFragment_ const &src, int offset, Fragment_ &dst)
| Transform a fragment. More...

## Member Typedef Documentation

## InputFragment

template<typename Fragment_ >

typedef Fragment_ cutlass::Copy< Fragment_ >::InputFragment

## OutputFragment

template<typename Fragment_ >

typedef Fragment_ cutlass::Copy< Fragment_ >::OutputFragment

## Constructor & Destructor Documentation

## Copy()

template<typename Fragment_ >

CUTLASS_DEVICE cutlass::Copy< Fragment_ >::Copy | ( |  | ) |

inline

## Member Function Documentation

## transform() [1/2]

template<typename Fragment_ >

CUTLASS_DEVICE void cutlass::Copy< Fragment_ >::transform | ( | Fragment_ const & | src,
|  | Fragment_ & | dst
| ) |  |

inline

## transform() [2/2]

template<typename Fragment_ >
template<typename InputFragment_ >

CUTLASS_DEVICE void cutlass::Copy< Fragment_ >::transform | ( | InputFragment_ const & | src,
|  | int | offset,
|  | Fragment_ & | dst
| ) |  |

inline

The documentation for this struct was generated from the following file:

- convert.h